public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/libnftnl/
Date: Thu, 17 Sep 2015 08:47:27 +0000 (UTC)	[thread overview]
Message-ID: <1442479632.f4f4072ac355ddfae24da512457c46de06005c30.mrueg@gentoo> (raw)

commit:     f4f4072ac355ddfae24da512457c46de06005c30
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 17 08:47:12 2015 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Sep 17 08:47:12 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4f4072a

net-libs/libnftnl: Version bump

Package-Manager: portage-2.2.20.1

 net-libs/libnftnl/Manifest              |  1 +
 net-libs/libnftnl/libnftnl-1.0.4.ebuild | 58 +++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/net-libs/libnftnl/Manifest b/net-libs/libnftnl/Manifest
index 6bece66..4853992 100644
--- a/net-libs/libnftnl/Manifest
+++ b/net-libs/libnftnl/Manifest
@@ -1 +1,2 @@
 DIST libnftnl-1.0.3.tar.bz2 356264 SHA256 cf0ae7eab6a6866192a1fbd6b370a8a2cbe2066fe3975ab44939fd50747c27f7 SHA512 6fba3f3a0c3d98e0c3200edbd45910e326f0864383dc695fa77580d47d3fe541c50518f62d2dbfc50b2378b9b311aec28b3321ef18f59a321e0a3f0817952181 WHIRLPOOL 70219737c4d865bdfe9f58803377d3a10619198cb486623d03d30a43b0d159ded9d625505cb0209fe30585dbe3413d136d2fdd6552a6ce2339151bedb1c94c9a
+DIST libnftnl-1.0.4.tar.bz2 367016 SHA256 8f1fbf9bcf87bf68e782f464fb05428d476c2e9a0bec91c6cda7a389a21969d0 SHA512 ed4230581c139c004c39a9ef3e6d548cfad43d1f3c47e83db328b7ae6c6d7fa70b194699d7f18472fa7fb819c943a85b6997be0f2d2b926745dd5cdbdbf81a41 WHIRLPOOL f899694c2d45fc073af694f5bd6edcae70abead69ef37a3f84a290e6b3dbb246029337e14378e4b3af4a4040f9c407db247f4d8636b8986e3f0d5b48783c20bd

diff --git a/net-libs/libnftnl/libnftnl-1.0.4.ebuild b/net-libs/libnftnl/libnftnl-1.0.4.ebuild
new file mode 100644
index 0000000..32b072d
--- /dev/null
+++ b/net-libs/libnftnl/libnftnl-1.0.4.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit base linux-info toolchain-funcs
+
+DESCRIPTION="Netlink API to the in-kernel nf_tables subsystem"
+HOMEPAGE="http://netfilter.org/projects/nftables/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="examples json static-libs test xml"
+SRC_URI="http://netfilter.org/projects/${PN}/files/${P}.tar.bz2"
+
+RDEPEND=">=net-libs/libmnl-1.0.0
+	xml? ( >=dev-libs/mini-xml-2.6 )
+	json? ( >=dev-libs/jansson-2.3 )"
+DEPEND="virtual/pkgconfig
+	${RDEPEND}"
+
+REQUIRED_USE="test? ( json xml )"
+
+pkg_setup() {
+	if kernel_is ge 3 13; then
+		CONFIG_CHECK="~NF_TABLES"
+		linux-info_pkg_setup
+	else
+		eerror "This package requires kernel version 3.13 or newer to work properly."
+	fi
+}
+
+src_configure() {
+	econf \
+		$(use_enable static-libs static) \
+		$(use_with xml xml-parsing) \
+		$(use_with json json-parsing)
+}
+
+src_install() {
+	default
+	gen_usr_ldscript -a nftnl
+	prune_libtool_files
+
+	if use examples; then
+		find examples/ -name 'Makefile*' -delete
+		dodoc -r examples/
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+}
+
+src_test() {
+	default
+	cd tests || die
+	./test-script.sh || die
+}


             reply	other threads:[~2015-09-17  8:47 UTC|newest]

Thread overview: 168+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-09-17  8:47 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-09-19 19:44 [gentoo-commits] repo/gentoo:master commit in: net-libs/libnftnl/ Manuel Rüger
2015-10-06 13:27 Manuel Rüger
2015-10-10 21:22 Mike Frysinger
2015-12-23 11:17 Jeroen Roovers
2015-12-23 21:09 Anthony G. Basile
2016-06-07 13:01 Tobias Klausmann
2016-06-26 11:43 Patrice Clement
2017-01-04 15:29 Agostino Sarubbo
2017-01-07 21:46 Robin H. Johnson
2017-06-30  5:30 Alexis Ballier
2017-07-02 14:46 Sergei Trofimovich
2017-07-23 12:16 Manuel Rüger
2017-10-17 14:12 Lars Wendler
2017-10-17 14:12 Lars Wendler
2017-10-18  6:08 Lars Wendler
2017-12-19 15:46 Thomas Deutschmann
2017-12-25  9:28 Sergei Trofimovich
2018-01-04 10:57 Lars Wendler
2018-01-04 20:40 Mikle Kolyada
2018-01-10  6:19 Markus Meier
2018-01-18 14:21 Lars Wendler
2018-03-28  9:29 Matt Turner
2018-05-02 13:57 Lars Wendler
2018-06-11 11:42 Lars Wendler
2018-06-11 11:42 Lars Wendler
2018-06-27 22:26 Mart Raudsepp
2018-09-17 23:10 Matt Turner
2018-09-17 23:10 Matt Turner
2018-11-13 22:26 Matt Turner
2018-11-14  7:22 Matt Turner
2018-11-14  7:22 Matt Turner
2018-11-14 10:03 Lars Wendler
2018-11-14 21:51 Sergei Trofimovich
2018-11-28 22:30 Matt Turner
2019-05-05 12:36 Mikle Kolyada
2019-05-28  0:41 Lars Wendler
2019-05-28  0:41 Lars Wendler
2019-07-02 10:30 Agostino Sarubbo
2019-07-02 10:33 Agostino Sarubbo
2019-07-02 11:55 Agostino Sarubbo
2019-07-02 12:35 Agostino Sarubbo
2019-07-02 12:36 Agostino Sarubbo
2019-07-03  7:11 Agostino Sarubbo
2019-07-22 19:01 Aaron Bauman
2019-07-28 19:58 Mikle Kolyada
2019-07-29  2:35 Matt Turner
2019-08-23 17:02 Lars Wendler
2019-08-27  7:35 Matt Turner
2019-12-03  7:03 Lars Wendler
2019-12-03  8:29 Lars Wendler
2020-01-09 12:47 Agostino Sarubbo
2020-01-10  1:26 Thomas Deutschmann
2020-01-13  9:04 Agostino Sarubbo
2020-01-13  9:06 Agostino Sarubbo
2020-01-13  9:10 Agostino Sarubbo
2020-01-27 12:06 Mikle Kolyada
2020-04-02  7:47 Lars Wendler
2020-04-16 18:05 Sergei Trofimovich
2020-06-07  0:18 Patrick McLean
2020-07-23  2:06 Patrick McLean
2020-08-17 12:20 Sam James
2020-08-17 14:52 Agostino Sarubbo
2020-08-18 11:16 Agostino Sarubbo
2020-08-18 11:18 Agostino Sarubbo
2020-08-18 11:22 Agostino Sarubbo
2020-08-29 23:50 Sam James
2020-09-06  7:49 Sergei Trofimovich
2020-09-07  8:47 Sergei Trofimovich
2020-10-27 17:58 Patrick McLean
2021-01-16 23:36 Lars Wendler
2021-04-16 10:25 David Seifert
2021-05-08 18:41 Sam James
2021-05-08 18:44 Sam James
2021-05-08 18:49 Sam James
2021-05-08 18:55 Sam James
2021-05-08 18:58 Sam James
2021-05-09  1:29 Sam James
2021-05-09  6:01 Sam James
2021-05-26  8:51 Lars Wendler
2021-08-10 15:36 Agostino Sarubbo
2021-08-11  0:02 Sam James
2021-08-11  0:12 Sam James
2021-08-11  0:24 Sam James
2021-08-11 23:10 Sam James
2021-08-14  3:48 Sam James
2021-09-04 17:35 David Seifert
2021-11-19 18:18 Patrick McLean
2022-02-10  9:50 Sam James
2022-02-10  9:59 Sam James
2022-02-10 10:12 Sam James
2022-02-10 10:17 Sam James
2022-02-10 10:17 Sam James
2022-02-10 11:43 Sam James
2022-02-10 11:43 Sam James
2022-02-13 14:58 Sam James
2022-03-27  2:58 Sam James
2022-03-27  2:58 Sam James
2022-04-17 17:12 Sam James
2022-04-25 15:06 Sam James
2022-06-07 20:31 Patrick McLean
2022-06-15 13:12 Sam James
2022-08-10  1:16 Patrick McLean
2022-08-10  1:16 Patrick McLean
2022-09-07 13:15 Agostino Sarubbo
2022-09-07 13:16 Agostino Sarubbo
2022-09-08  7:26 Agostino Sarubbo
2022-09-08 11:24 Agostino Sarubbo
2022-09-08 11:35 Agostino Sarubbo
2022-09-15 19:58 Arthur Zamarin
2022-09-16 17:45 Arthur Zamarin
2022-09-16 18:01 Arthur Zamarin
2022-09-23  2:14 Sam James
2022-10-10 22:35 Sam James
2022-10-10 23:36 Sam James
2022-10-10 23:36 Sam James
2022-10-11  6:46 Agostino Sarubbo
2022-10-11  9:19 Agostino Sarubbo
2022-10-11  9:19 Agostino Sarubbo
2022-10-11 17:15 Arthur Zamarin
2022-10-11 18:26 Sam James
2022-11-12  3:14 Matt Turner
2022-12-25 20:09 Arthur Zamarin
2022-12-25 20:11 Sam James
2022-12-25 20:12 Arthur Zamarin
2022-12-25 20:14 Arthur Zamarin
2022-12-25 20:15 Sam James
2022-12-25 20:23 Arthur Zamarin
2022-12-25 21:24 Sam James
2022-12-26  3:20 Sam James
2022-12-26  3:54 Sam James
2023-03-09 23:46 Sam James
2023-04-23 20:07 Sam James
2023-04-23 20:08 Sam James
2023-04-23 20:22 Sam James
2023-04-23 20:23 Sam James
2023-04-23 20:32 Sam James
2023-04-23 20:32 Sam James
2023-04-23 21:17 Sam James
2023-04-23 22:35 Sam James
2023-07-15 13:18 Sam James
2023-08-19  6:35 Sam James
2023-08-19  6:35 Sam James
2023-08-19  6:58 Arthur Zamarin
2023-08-19  7:53 Arthur Zamarin
2023-08-19 11:38 Sam James
2023-08-19 11:38 Sam James
2023-08-19 11:38 Sam James
2023-08-20  8:11 Sam James
2024-02-20  5:06 Sam James
2024-02-20  5:24 Sam James
2024-03-24 11:29 Sam James
2024-03-24 11:29 Sam James
2024-03-24 11:34 Sam James
2024-03-24 11:34 Sam James
2024-03-24 11:34 Sam James
2024-03-24 12:12 Sam James
2024-03-24 12:12 Sam James
2024-04-17  5:37 Arthur Zamarin
2024-07-16  6:59 Sam James
2024-08-29  2:35 Sam James
2024-08-29  2:35 Sam James
2024-08-29  2:35 Sam James
2024-08-29  3:15 Sam James
2024-08-29  3:51 Sam James
2024-08-29  3:51 Sam James
2024-09-01 17:04 Arthur Zamarin
2024-10-02 23:12 Patrick McLean

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1442479632.f4f4072ac355ddfae24da512457c46de06005c30.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox